<?php get_header(); ?>
	<div id="container">
		<div id="content" role="main">
			<?php
				if ( have_posts() )	the_post();
			?>
				<h1 class="tag-page-title">
					<?php if ( is_day() ) : ?>
									<?php printf( __( 'Daily Archives: <span>%s</span>', 'Pia' ), get_the_date() ); ?>
					<?php elseif ( is_month() ) : ?>
									<?php printf( __( 'Monthly Archives: <span>%s</span>', 'Pia' ), get_the_date('F Y') ); ?>
					<?php elseif ( is_year() ) : ?>
									<?php printf( __( 'Yearly Archives: <span>%s</span>', 'Pia' ), get_the_date('Y') ); ?>
					<?php elseif ( is_tag() ) : ?>	
								<?php printf( __( 'Tag Archives: %s', 'Pia' ), '<span>' . single_tag_title( '', false ) . '</span>' );?>
					<?php elseif ( is_category() ) : ?>	
								<?php printf( __( 'Category Archives: %s', 'Pia' ), '<span>' . single_cat_title( '', false ) . '</span>' );?>
					<?php elseif ( is_author() ) : ?>	
								<?php printf( __( 'Author Archives: %s', 'Pia' ), "<span class='vcard'>" . get_the_author() . "</span>" ); ?>
					<?php else : ?>
									<?php _e( 'Blog Archives', 'Pia' ); ?>
					<?php endif; ?>
				</h1>
				<?php
				rewind_posts();
				
				while ( have_posts() ) : the_post(); 
				if ( has_post_format( 'status' )){ /*check if its a status update*/
				?>
						<div class="pia-status-date"><?php the_time('d') ?><br/><?php the_time('M') ?></div>
							<div class="status">
								<div class="status-avatar">
									<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'Pia_author_bio_avatar_size', 40 ) ); ?>
								</div>
								<div class="status-meta">
									<?php 
									the_author_posts_link();
									echo ':<br/>';
									edit_post_link();
									?>
								</div>
							<?php 
							the_excerpt();		
							?>
						</div>
						
			<?php } else {?>
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="pia-date"><a href="<?php the_permalink(); ?>"><?php the_time('d') ?><br/><?php the_time('M') ?></a></div>
					<h2 class="front-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
					<?php Pia_meta();?>
					<div class="entry-content">
						<?php
						if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
							the_post_thumbnail();
						}
						the_content();
						wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'Pia' ), 'after' => '</div>' ) );
						 ?>
					</div>
	</div>
<?php }
endwhile; // End the loop. Whew. ?>
	<div id="nav-below" class="navigation">
		<div class="nav-previous"><?php next_posts_link( __( '&larr; Older posts', 'Pia' ) ); ?></div>
		<div class="nav-next"><?php previous_posts_link( __( 'Newer posts &rarr;', 'Pia' ) ); ?></div>
	</div>
</div>
</div>
<?php get_footer(); ?>