<?php get_header(); ?>
	<div id="container">
		<div id="content" role="main">
			<?php if ( have_posts() ) : ?>
			<h1 class="tag-page-title"><?php printf( __( 'Search Results for: %s', 'Pia' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
			<?php while ( have_posts() ) : the_post();		
				if ( has_post_format( 'status' )){ /*check if its only a status update*/
					?>
					<div class="pia-status-date"><?php the_time('d') ?><br/><?php the_time('M') ?></div>
						<div class="status">
							<div class="status-avatar"><?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'Pia_author_bio_avatar_size', 40 ) ); ?></div>
							<div class="status-meta">
								<?php 
								the_author_posts_link();
								echo ':<br/>';
								edit_post_link();
								?>
							</div>
						<?php 
						the_excerpt();		
						?>
					</div>
			<?php } else {?>
			<div <?php post_class(); ?>>
				<div class="pia-date"><a href="<?php the_permalink(); ?>"><?php the_time('d') ?><br/><?php the_time('M') ?></a></div>
					<h2 class="front-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
					<?php Pia_meta();?>
					<div class="entry-content">
					<?php
					if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
						the_post_thumbnail();
					}
					 the_content();	
					 wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'Pia' ), 'after' => '</div>' ) );
					 echo "<span class='clear'></span>";
					?>
			</div>
		</div>
		<?php
		}
		endwhile; // End the loop. Whew. ?>
			<div id="nav-below" class="navigation">
				<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'Pia' ) ); ?></div>
				<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'Pia' ) ); ?></div>
			</div>
<?php else : ?>
			<div id="post-0" class="post no-results not-found">
				<h2 class="post-title"><?php _e( 'Nothing Found', 'Pia' ); ?></h2>
				<div class="entry-content">
					<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'Pia' ); ?></p>
					<?php get_search_form(); ?>
				</div>
			</div>
<?php endif; ?>
		</div>
	</div>
<?php get_footer(); ?>