<?php get_header(); 
//Add the Slider
get_template_part('slider');
 ?>
<div id="container">
	<div id="content" role="main">
		<?php
		//Only display the widget area if the widgets are active.
		if ( is_active_sidebar(1) || is_active_sidebar(2) || is_active_sidebar(3) ){
		?>
		<div class="widget-area">
			<div class="widgetleft"><ul><?php dynamic_sidebar('Top_Widgetarea_Left');?></ul></div>
			<div class="widgetmiddle"><ul><?php dynamic_sidebar('Top_Widgetarea_Middle'); ?></ul></div>
			<div class="widgetright"><ul><?php dynamic_sidebar('Top_Widgetarea_Right'); ?></ul></div>
		</div>
		<?php 
		}
		if ( have_posts() ) while ( have_posts() ) : the_post(); 
				/* none Sticky post loop structure. */ 
				if (!is_sticky() ) : 	
				if ( has_post_format( 'status' )){
				?>
				<div class="pia-status-date"><?php the_time('d') ?><br/><?php the_time('M') ?></div>
					<div class="status">
						<div class="status-avatar">
							<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'Pia_author_bio_avatar_size', 40 ) ); ?>
						</div>
						<div class="status-meta">
							<?php 
							the_author_posts_link();
							echo ':<br/>';
							edit_post_link();
							?>
						</div>
					<?php the_excerpt();?>
				</div>
				<?php } else { ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="pia-date"><a href="<?php the_permalink(); ?>"><?php the_time('d') ?><br/><?php the_time('M') ?></a></div>
					<h2 class="front-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
					<?php Pia_meta();?>
			<div class="entry-content">
			<?php
			if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
				the_post_thumbnail();
			}
			the_content();
			wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'Pia' ), 'after' => '</div>' ) );
			 ?>
			</div>
		</div>
<?php
}
endif;
endwhile; // end of the loop. ?>
	<div id="nav-below" class="navigation">
		<div class="nav-previous"><?php next_posts_link( __( '&larr; Older posts', 'Pia' ) ); ?></div>
		<div class="nav-next"><?php previous_posts_link( __( 'Newer posts &rarr;', 'Pia' ) ); ?></div>
	</div>		
</div>
</div>
<?php get_footer(); ?>