<?php get_header(); ?>
		<div id="container">
			<div id="content" role="main">
			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<h2 class="post-title"><?php the_title(); ?></h2>
					<?php Pia_meta();?>
					<div class="entry-content">
					<?php if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
								the_post_thumbnail();
							} 
							 the_content(); 
							 wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'Pia' ), 'after' => '</div>' ) ); ?>
					</div>
				<?php			
				if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  ?>
					<div id="entry-author-info">
						<div id="author-avatar"><?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'Pia_author_bio_avatar_size', 60 ) ); ?></div>
						<div id="author-description">
							<h2><?php printf( esc_attr__( 'About %s', 'Pia' ), get_the_author() ); ?></h2>
							<?php the_author_meta( 'description' ); ?>
							<div id="author-link"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
							<?php printf( __( 'View all posts by %s &rarr; ', 'Pia' ), get_the_author() ); ?></a>
							</div>
						</div>
					</div>
				<?php 
				endif;
				?>
				
				<?php
					$pia_tags = wp_get_post_tags($post->ID);
					if ($pia_tags) {
						$pia_tag_ids = array();
						foreach($pia_tags as $individual_tag) $pia_tag_ids[] = $individual_tag->term_id;
							$args=array(
							'tag__in' => $pia_tag_ids,
							'post__not_in' => array($post->ID),
							'showposts'=>4, // Number of related posts that will be shown.
							'ignore_sticky_posts'=>1
							);
						$pia_query = new wp_query($args);
						if( $pia_query->have_posts() ) { ?>
							<div id="related-posts">
								<div id="related-posts-social"><h2><?php echo __('Related Posts: ','Pia');?></h2></div>
								<?php 
								while ($pia_query->have_posts()) {
									$pia_query->the_post();
									?>
									<div class="related-posts-content">
										<?php if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
											the_post_thumbnail(array(60,60));
										}else 
											echo '<br/> <br/>';
										?>
										<a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a><br/>
									</div>
								<?php 
								} 		
								echo '</div>';
							}
					}
					wp_reset_query();
					?>
					</div>
	<?php endwhile; // end of the loop. ?>
	<div id="nav-below" class="navigation">	
		<div class="nav-previous"><?php previous_post_link('<div class="older-posts">&larr; %link </div>');	?></div>
		<div class="nav-next"><?php next_post_link('<div class="newer-posts">%link &rarr;</div>');?></div>
	</div>
	<?php
	comments_template( '', true );
	?>
	</div>
</div>
<?php get_footer(); ?>
